Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] eclipse non si avvia su U12.04 64bit
#1
Salve,
come da oggetto, lanciando eclipse ottengo questo messaggio:

Citazione:An error has occurred. See the log file
/home/danilo/.eclipse/org.eclipse.platform_3.7.0_155965261/configuration/1340084626140.log.

Ho provato a reinstallare tutto eclipse, ma l'errore rimane.

riporto il log

Citazione:!SESSION 2012-06-19 06:51:19.282 -----------------------------------------------
eclipse.buildId=I20110613-1736
java.version=1.7.0_05
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=it_IT
Command-line arguments: -os linux -ws gtk -arch x86_64

!ENTRY org.eclipse.osgi 4 0 2012-06-19 06:51:27.591
!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
no swt-gtk-3740 in java.library.path
no swt-gtk in java.library.path
Can't load library: /home/danilo/.swt/lib/linux/x86_64/libswt-gtk-3740.so
Can't load library: /home/danilo/.swt/lib/linux/x86_64/libswt-gtk.so

at org.eclipse.swt.internal.Library.loadLibrary(Library.java:285)
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:194)
at org.eclipse.swt.internal.C.<clinit>(C.java:21)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:132)
at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:695)
at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:161)
at org.eclipse.ui.internal.ide.application.IDEApplication.createDisplay(IDEApplication.java:153)
at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:95)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:601)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
at org.eclipse.equinox.launcher.Main.main(Main.java:1386)

Ho controllato su synaptic se sono stati caricati i pacchetti "swt-gtk-3740" e "swt-gtk" ed effettivamente "swt-gtk-3740" non esiste ,mentre "swt-gtk" c'è e risulta installato.

Come superare l'inconveniènte ?
grazie
danilo
Cita messaggio
#2
Dai il comando

sudo update-alternatives --config java

e posta qui l'output. Huh
Ogni fallimento avvicina sempre più alla meta... Arrendersi subito equivale a non provare affatto.

Il bisogno di conoscere e scoprire, è la fiamma che alimenta la fornace che è il cervello umano.
Cita messaggio
#3
(19-06-2012, 08:17 )francater Ha scritto: Dai il comando

sudo update-alternatives --config java

e posta qui l'output. Huh

ok,fatto:

Citazione:danilo@danilo-HP-Pavilion-dv7-Notebook-PC:~$ sudo update-alternatives --config java
[sudo] password for danilo:
Sono disponibili 4 scelte per l'alternativa java (che fornisce /usr/bin/java).

Selezione Percorso Priorità Stato
------------------------------------------------------------
0 /usr/lib/jvm/java-7-oracle/jre/bin/java 1063 modalità automatica
1 /usr/bin/gij-4.6 1046 modalità manuale
2 /usr/lib/jvm/java-6-openjdk-amd64/jre/bin/java 1061 modalità manuale
3 /usr/lib/jvm/java-7-oracle/bin/java 1062 modalità manuale
* 4 /usr/lib/jvm/java-7-oracle/jre/bin/java 1063 modalità manuale

Premere Invio per mantenere il valore predefinito[*] o digitare il numero della selezione:^Cdanilo@danilo-HP-Pavilion-dv7-Notebook-PC:~$
Cita messaggio
#4
Imposta Openjdk (opzione 2), riavvia e riprova.
Ogni fallimento avvicina sempre più alla meta... Arrendersi subito equivale a non provare affatto.

Il bisogno di conoscere e scoprire, è la fiamma che alimenta la fornace che è il cervello umano.
Cita messaggio
#5
(19-06-2012, 12:29 )francater Ha scritto: Imposta Openjdk (opzione 2), riavvia e riprova.

OK, così funziona.

Però non metto il RISOLTO perchè a me serve la versione ufficiale ORACLE di java.

in Eclipse ho provato ad aggiungere la versione di java che mi serve, poi ho reimpostato le alternative alla versione java oracle, sperando che così di risolvere il problema, ma sono rimasto deluso.

Se l'unica soluzione per poter usare Eclipse è quella di impostare la Openjdk per tutto il sistema, pazienza, rinuncio ad usare Eclipse.

Grazie per il suggerimento

danilo
Cita messaggio
#6
Di nulla... comunque, per amor di prova, eliminerei openjdk a questo punto e anche la versione vecchia di java, quindi riproverei con Eclipse.
Ogni fallimento avvicina sempre più alla meta... Arrendersi subito equivale a non provare affatto.

Il bisogno di conoscere e scoprire, è la fiamma che alimenta la fornace che è il cervello umano.
Cita messaggio
#7
(19-06-2012, 14:54 )francater Ha scritto: Di nulla... comunque, per amor di prova, eliminerei openjdk a questo punto e anche la versione vecchia di java, quindi riproverei con Eclipse.

Ho disinstallato openjdk, ma eclipse non vuol saperne di partire!
Cita messaggio
#8
Un tentativo andava fatto. Exclamation
Ogni fallimento avvicina sempre più alla meta... Arrendersi subito equivale a non provare affatto.

Il bisogno di conoscere e scoprire, è la fiamma che alimenta la fornace che è il cervello umano.
Cita messaggio
#9
Disinstalla una eventuale vecchia versione di Oracle JDK e metti la nuova versione 7 update 5. Devi installare il JDK (che contiene il JRE), non semplicemente JRE.
Il mio blog: http://zerozerocent.blogspot.it/
Legge di Murphy: SE QUALCOSA PUO' ANDAR MALE, LO FARA'
Cita messaggio
#10
(19-06-2012, 16:02 )BAT Ha scritto: Disinstalla una eventuale vecchia versione di Oracle JDK e metti la nuova versione 7 update 5. Devi installare il JDK (che contiene il JRE), non semplicemente JRE.

Adesso controllo sul sito, ma penso di essere già alla 7.05

Citazione:danilo@danilo-HP-Pavilion-dv7-Notebook-PC:~$ javac -version
javac 1.7.0_05
danilo@danilo-HP-Pavilion-dv7-Notebook-PC:~$ java -version
java version "1.7.0_05"
Java™ SE Runtime Environment (build 1.7.0_05-b05)
Java HotSpot™ 64-Bit Server VM (build 23.1-b03, mixed mode)
danilo@danilo-HP-Pavilion-dv7-Notebook-PC:~$
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)